/*
 * Currently not used
 * Created on 18-Jan-2004
 *
 */
package com.exponto.jstock;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import org.apache.log4j.Logger;

import com.exponto.jstock.io.UserPreferences;

/**
 * Not used at the moment
 * @author kaare
 *
 */
public class ControlPanel {

	// For controlpanel
	public JCheckBox drawBox;
	public JCheckBox weeklyButton;
	public JCheckBox notesBox;
	public JLabel ticker;
	public JTextField tickerInput;
	public JButton getStock;
	public JButton options;
	public JButton indicators;
	public JButton closeWin;
	public JButton quit;
	public JButton about;    

	// Userpreference is common for all panels 
	private static UserPreferences userPref;

	// Log4j
	static Logger logger = Logger.getLogger(ControlPanel.class);

	public ControlPanel() {
		
	}
	
	public JPanel makeControlPanel() {
		JPanel controlPanel = new JPanel();
		controlPanel.setLayout(new FlowLayout());
		drawBox = new JCheckBox("Draw");
		drawBox.setMnemonic(KeyEvent.VK_D); 
		drawBox.setSelected(userPref.getDrawMode());
		weeklyButton = new JCheckBox("Show weekly");
		weeklyButton.setMnemonic(KeyEvent.VK_W); 
		weeklyButton.setSelected(userPref.getShowWeekly());
		notesBox = new JCheckBox("Notes");
		notesBox.setMnemonic(KeyEvent.VK_N);
		notesBox.setSelected(userPref.getNotes());
		ticker = new JLabel("Ticker");
		tickerInput = new JTextField(5);
		//tickerInput.createDefaultModel();
		getStock = new JButton("Get");
		getStock.setMnemonic(KeyEvent.VK_G);
		options = new JButton("Options");
		options.setMnemonic(KeyEvent.VK_O);
		indicators = new JButton("Indicators");
		indicators.setMnemonic(KeyEvent.VK_I);
		closeWin = new JButton("Close");
		closeWin.setMnemonic(KeyEvent.VK_C);
		quit = new JButton("Quit");
		quit.setMnemonic(KeyEvent.VK_Q);
		about = new JButton("About");
		about.setMnemonic(KeyEvent.VK_A);

		controlPanel.add(drawBox);
		controlPanel.add(weeklyButton);
		if (userPref.getEnableDB()) {
//  Need to redraw controlPanel if db support is enabled in options			
			controlPanel.add(notesBox);			
		}
		
		controlPanel.add(ticker);
		controlPanel.add(tickerInput);
		controlPanel.add(getStock);
		controlPanel.add(options);
		//controlPanel.add(indicators);
		controlPanel.add(closeWin);
		controlPanel.add(quit);
		controlPanel.add(about);

		return controlPanel;
	}
	
	
}

