/*
 *                                 jStock
 *                    (C) Copyright 2003 - 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


/*
 * Created on 30-Oct-2003
 *
 */
package com.exponto.jstock.db;

/**
 * Defines various constans used by the application
 * 
 * @author kaare
 *
 */
public class Constants {
// Used by Lines / db
	public static final int dailyLogChart = 0;
	public static final int weeklyLogChart = 1;
	

	public static final double lowStart = 999999999999999999999999999999.9;	
	public static final double log10 =Math.log(10); // Constant
	// RulesTableModel
	protected static final String[] columnNames = { "Rule name", "Indicator", "Operator", "Value", "Indicator 2", "Operator", "Value", "Action" };
	protected static final String [] operators = {"greater than", "less than", "equals", "not equals", "rising", "sinking"};
	// Indicators
	//protected static final String [] indicators = {"Candlestick", "RSI", "Moving Average", "Stochastics", "MACD"};

	// Panels
	protected static final String all = "all";
	protected static final String daily = "daily";
	protected static final String weekly = "weekly";
	protected static final String [] panel = {all, daily, weekly};

}
