/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
 * Created on 25-Oct-2004
 *
 */
package com.exponto.jstock.indicators;


//import java.awt.geom.Line2D;
//import com.exponto.jstock.panels.PersistentLine;

/**
 * Add support for user-drawn lines in the indicator. 
 * 
 * This interface is only applicable for Indicator drawn in a separate panel,
 * as indicators drawn with the candlesticks will use the methods 
 * implemented with CandleStickPanel
 * 
 * @author kaare
 *
 */
public interface IndicatorLinesInterface {
//	/**
//	 * 
//	 * Converts the (pixel) start and end points of a line to a persistent line that
//	 * can be stored a database and be redrawn later, even if the size of the 
//	 * panel has been changed.
//	 * 
//	 * @param x1 A double representing the x1 coordinate
//	 * @param y1 A double representing the y1 coordinate
//	 * @param x2 A double representing the x2 coordinate
//	 * @param y2 A double representing the y2 coordinate
//	 * @return a PersistentLine representing the input parameters
//	 */
//	public PersistentLine convertPoints(double lx1, double ly1, double lx2, double ly2);
//	
//	/**
//	 * Converts a PersistentLine to a Line"D that may be drawn on the screen. 
//	 * 
//	 * @param pL a PersistentLine
//	 * @return a Line2D representing the PersistentLine with the current 
//	 * data size of the panel
//	 */
//	
//	public Line2D convertPersistentLine(PersistentLine pL);
	
	public IndicatorAxisInfo getIndicatorAxisInfo();
	
}
